INTERFACE
SUBROUTINE M7_DRYDEP&
 & ( KIDIA , KFDIA, KLON , KLEV , KTILES,&
 & LDLAND,&
 & PAPH , PCI , PDENS , PFRTI, PFWMLT, PLSM , PSNS,&
 & PTIA , PTS , PTSPHY, PWS1 , PWSMX , PXTM1,&
 & PFLXM7&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7,ONLY : ndryd, ntrac, nmode, nm7aer, cphas, ctrac
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,0:KLEV), PDENS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON) , PFRTI(KLON,KTILES), PFWMLT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON), PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTIA(KLON), PTS(KLON) , PWS1(KLON), PWSMX(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTM1(KLON,KLEV,nm7aer)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLXM7(KLON,nm7aer)
END SUBROUTINE M7_DRYDEP
END INTERFACE
